<?php
$get_gs_user_available = get_post_meta(1, 'geniewords_gs_user_available');
$get_user_id = get_post_meta(1, 'geniewords_userid');
$get_refresh_token_id = get_post_meta(1, 'geniewords_refresh_token');
$get_merchantId = get_post_meta(1, 'geniewords_merchantid');
$get_geniewords_user_company = get_post_meta(1, 'geniewords_user_company');
$get_ajax_manually = get_post_meta(1, 'geniewords_ajax_manually_status');
$get_success_message = get_transient('success_results');
$get_error_message = get_transient('error_results');
$error_woocommerce_results = get_transient('error_woocommerce_results');
$get_fb_user_available = get_post_meta(1, 'geniewords_fb_user_available');
$get_user_loggedin = get_post_meta(1, 'geniewords_user_loggedin');
$error_fb_results = get_transient('error_fb_results');
$geniewords_user_fb_pixel_detect = get_post_meta(1, 'geniewords_user_fb_pixel_detect');
$new_version_available = get_post_meta(1, 'new_version_available');

$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
?>
<script type="text/javascript">
    jQuery(document).ready(function () {
        const btnUpdatePlugin = jQuery("#btnUpdatePlugin");
        btnUpdatePlugin.click(function () {
            var base_url = "<?php echo get_bloginfo( 'url' ); ?>";
            const spinner = jQuery("#spinner");
            spinner.css('visibility', 'unset');

            jQuery.ajax({
                type: 'POST',
                data: {
                    action: 'update_plugin_version',
                    name: 'ajax',
                    updatePlugin: true
                },
                url: base_url + "/wp-admin/admin-ajax.php",
                success: function (value) {
                    window.location.reload();
                }
            });
        })
    });
</script>
<div class="wrap">
    <!-- Print the page title -->
     <?php if($new_version_available[0] === '1' || $new_version_available[0] === 1) { ?><div style="display: flex; align-items: center;"><span style="margin-right: 8px;"><?php echo __('New version of Geniewords available.', 'geniewords'); ?></span><button type="button" name="update-btn" id="btnUpdatePlugin" class="button button-primary" style="position: relative;"><?php esc_attr_e('Update here', 'geniewords'); ?></button><span class="spinner" id="spinner"></span></div> <?php }?>
    <!-- Here are our tabs -->
    <nav class="nav-tab-wrapper">
        <a href="?page=geniewords-menu"
           class="nav-tab <?php if ($tab === null): ?>nav-tab-active<?php endif; ?>"><?php echo __('Account', 'geniewords'); ?></a>
        <?php if (isset($get_gs_user_available[0]) && $get_gs_user_available[0] == 1) { ?>
            <a href="?page=geniewords-menu&tab=google-settings"
               class="nav-tab <?php if ($tab === 'google-settings'): ?>nav-tab-active<?php endif; ?>"><?php echo __('Google Shopping', 'geniewords'); ?></a>
        <?php }
        if (isset($get_fb_user_available[0]) && $get_fb_user_available[0] == 1) { ?>
            <a href="?page=geniewords-menu&tab=facebook-settings"
               class="nav-tab <?php if ($tab === 'facebook-settings'): ?>nav-tab-active<?php endif; ?>"><?php echo __('Facebook', 'geniewords'); ?></a>
        <?php }
        if (isset($get_user_loggedin[0]) && $get_user_loggedin[0] == 1) { ?>
            <a href="?page=geniewords-menu&tab=analytics-settings"
               class="nav-tab <?php if ($tab === 'analytics-settings'): ?>nav-tab-active<?php endif; ?>"><?php echo __('Google Analytics', 'geniewords'); ?></a>
        <?php }
        if (isset($get_user_loggedin[0]) && $get_user_loggedin[0] == 1) { ?>
            <a href="?page=geniewords-menu&tab=pixel-settings"
               class="nav-tab <?php if ($tab === 'pixel-settings'): ?>nav-tab-active<?php endif; ?>"><?php echo __('Facebook Pixel', 'geniewords'); ?></a>
        <?php }
        ?>
    </nav>

    <div class="tab-content">
        <?php switch ($tab) :
            case 'google-settings':
                include( plugin_dir_path( __FILE__ ) . 'layouts/geniewords_google_admin.php');
                break;
            case 'facebook-settings':
                include( plugin_dir_path( __FILE__ ) . 'layouts/geniewords_facebook_admin.php');
            break;
            case 'analytics-settings':
                include( plugin_dir_path( __FILE__ ) . 'layouts/geniewords_analytics_admin.php');
                break;
            case 'pixel-settings':
                include( plugin_dir_path( __FILE__ ) . 'layouts/geniewords_pixel_admin.php');
                break;
            default:
                include( plugin_dir_path( __FILE__ ) . 'layouts/geniewords_main_admin.php');
            break;
        endswitch; ?>
    </div>
</div>
<script type="text/javascript">
    function signOutFunc(){
        jQuery("#spinner-logout").addClass("is-active").show();
        var base_url = "<?php echo get_bloginfo( 'url' ); ?>";
        jQuery.ajax({
            type: 'POST',
            data: {action: 'signout_action'},
            url: base_url + "/wp-admin/admin-ajax.php",
            success: function (value) {
                window.location.replace( base_url + '/wp-admin/admin.php?page=geniewords-menu');
            }
        });
    }

    // Product Synchronise Ajax Call //
    function manualSync(){
        var base_url = "<?php echo get_bloginfo( 'url' ); ?>";
        jQuery("#spinner-google-product").addClass("is-active");
        var variants_option = jQuery('#customSwitches:checkbox:checked').val();
        var description_option = jQuery("input[name='syncro-description']:checked").val();
        var country = jQuery('#country_name :selected').val();
        var googleShoppingMetaTag = jQuery('#googleShoppingMetaTagInput').val();

        jQuery.ajax({
            type: 'POST',
            data: {
                action: 'syncronise_action',
                name: 'ajax',
                variants: variants_option,
                'descriptionoption': description_option,
                country:country,
                googleShoppingMetaTag
            },
            url: base_url + "/wp-admin/admin-ajax.php",
            success: function (value) {
                jQuery("#spinner-google-product").removeClass("is-active");
                if(value !== 0) {
                    jQuery('#g-shopping-message').removeAttr("style").show("slow").html(value);
                } else {
                    jQuery('#g-shopping-message').show("slow");
                }
                jQuery('.continue-task').css("display", "inline-block");
                setTimeout(function () {
                    jQuery('#g-shopping-message').fadeOut();
                }, 10000);
            }
        });
    }

    // Facebook Product Synchronise Ajax Call //
    function manualSyncFacebook(){
        var base_url = "<?php echo get_bloginfo( 'url' ); ?>";
        jQuery("#spinner-fb-product").addClass("is-active");
        var fb_variants_option = jQuery('#customFbSwitches:checkbox:checked').val();
        var description_option = jQuery("input[name='syncro-description']:checked").val();
        var country = jQuery('#country_name :selected').val();
        var facebookMetaTag = jQuery('#facebookMetaTagInput').val();

        jQuery.ajax({
            type: 'POST',
            data: {
                action: 'fb_syncronise_action',
                name: 'ajax',
                fb_variants: fb_variants_option,
                'descriptionoption': description_option,
                country:country,
                facebookMetaTag
            },
            url: base_url + "/wp-admin/admin-ajax.php",
            success: function (value) {
                jQuery("#spinner-fb-product").removeClass("is-active");
                if(value !== 0) {
                    jQuery('#f-shopping-message').removeAttr("style").show("slow").html(value);
                } else {
                    jQuery('#f-shopping-message').show("slow");
                }
                jQuery('.continue-task').css("display", "inline-block");
                setTimeout(function () {
                    jQuery('#f-shopping-message').fadeOut();
                }, 10000);
            }
        });
    }
</script>