<?php
$get_gs_user_available = get_post_meta(1, 'geniewords_gs_user_available');
$get_user_id = get_post_meta(1, 'geniewords_userid');
$get_refresh_token_id = get_post_meta(1, 'geniewords_refresh_token');
$get_merchantId = get_post_meta(1, 'geniewords_merchantid');
$get_success_message = get_transient('success_results');
$get_error_message = get_transient('error_results');
$error_woocommerce_results = get_transient('error_woocommerce_results');
$get_geniewords_variant_status = get_post_meta(1, 'geniewords_variant_status');

$get_geniewords_description_type = get_post_meta(1, 'get_geniewords_description_type');
$get_add_analytics_in_head = get_post_meta(1, 'add_analytics_in_head');
$get_add_analytics_in_head[0] = !empty($get_add_analytics_in_head) && $get_add_analytics_in_head[0] !== '' ? $get_add_analytics_in_head[0] : 'NONE';
$get_analytics_custom_value = get_post_meta(1, 'analytics_custom_value');

$default_country_name = "da_DK";
$country_name = get_post_meta(1, 'geniewords_country_name');
$get_geniewords_country_name[0] = !empty($country_name[0]) ? $country_name[0] : $default_country_name;

$get_user_has_analytics = get_post_meta(1, 'geniewords_user_has_analytics');

$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
if (!empty($get_user_id[0])) {
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            var addAnalyticsType = "<?php echo $get_add_analytics_in_head[0]; ?>";
            var display = 'none';
            if(addAnalyticsType === 'CUSTOM') {
                display = 'block';
            }

            const customAnalyticsValueEl = jQuery("#customAnalyticsValue")
            customAnalyticsValueEl.css("display", display);
            customAnalyticsValueEl.val(<?php if(!empty($get_analytics_custom_value)) { ?> JSON.parse(JSON.stringify(<?php echo json_encode($get_analytics_custom_value); ?>))[0] <?php } else { echo ''; }?>);

            const btnSaveChanges = jQuery("#btnSaveChanges");
            btnSaveChanges.click(function () {
                const spinner = jQuery("#spinner");
                spinner.css('visibility', 'unset');

                var radioButtonEl = jQuery("input[type=radio][name=addAnalytics]:checked");
                var addAnalyticsInHeadType = radioButtonEl.val()

                jQuery.ajax({
                    type: 'POST',
                    data: {
                        action: 'update_add_analytics_to_head',
                        name: 'ajax',
                        addGoogleAnalyticsInHead: addAnalyticsInHeadType
                    },
                    url: base_url + "/wp-admin/admin-ajax.php",
                    success: function (value) {
                    }
                });

                var customAnalyticsValue = ''
                if(addAnalyticsInHeadType === 'CUSTOM') {
                    var customAnalyticsEl = jQuery("#customAnalyticsValue")
                    customAnalyticsValue = customAnalyticsEl.val()
                }

                jQuery.ajax({
                    type: 'POST',
                    data: {
                        action: 'update_analytics_custom_value',
                        name: 'ajax',
                        customAnalyticsValue: customAnalyticsValue
                    },
                    url: base_url + "/wp-admin/admin-ajax.php",
                    success: function (value) {
                        var successMessageEl = jQuery("#saveChangesSuccessMessage");
                        successMessageEl.css('display', 'block');
                        spinner.css('visibility', 'hidden');

                        setTimeout(function() {
                            successMessageEl.css('display', 'none');
                        }, 3000)
                    }
                });
            })
        });
    </script>
    <div class="wrap">
        <table class="form-table">
            <tbody>
                <tr valign="top">
                    <td>
                        <h4><?php echo __('Add Google Analytics to website', 'geniewords'); ?></h4>
                        <div class="custom-control custom-switch">
                            <input type="radio" name="addAnalytics" class="custom-control-input"
                                <?php if($get_add_analytics_in_head[0] == 'NONE'){ echo "checked"; } ?> id="add-analytics-none" value="NONE">
                            <label class="custom-control-label" for="add-analytics-none"><?php echo __('No Analytics', 'geniewords'); ?></label>
                        </div>
                        <?php
                        if($get_user_has_analytics[0] === '1') {
                            ?><br/><?php
                        } ?>
                        <div class="custom-control custom-switch" style="display: <?php echo $get_user_has_analytics[0] === '1' ? 'block' : 'none'; ?>">
                            <input type="radio" name="addAnalytics" class="custom-control-input"
                                   id="add-analytics-geniewords" value="GENIEWORDS" <?php if($get_add_analytics_in_head[0] == 'GENIEWORDS'){ echo "checked"; } ?>>
                            <label for="add-analytics-geniewords" class="custom-control-label"><?php echo __('Analytics from GenieWords', 'geniewords'); ?></label>
                        </div>
                        </br>
                        <div class="custom-control custom-switch">
                            <input type="radio" name="addAnalytics" class="custom-control-input"
                                   id="add-analytics-custom" value="CUSTOM" <?php if($get_add_analytics_in_head[0] == 'CUSTOM'){ echo "checked"; } ?>>
                            <label for="add-analytics-custom" class="custom-control-label"><?php echo __('Custom Analytics', 'geniewords'); ?></label>
                        </div>
                        <textarea name="customer-analytics" class="custom-control-input"
                                  id="customAnalyticsValue" rows="4"
                                  placeholder="<?php echo __('Insert your custom analytics code to be added into website', 'geniewords'); ?>"
                                  style="width: 100%; max-width: 500px; margin-top: 8px; display: none;">
                        </textarea>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="form-table">
            <tbody>
                <tr valign="top">
                    <td style="display: flex; align-items: center;">
                        <button type="button" name="save-btn" id="btnSaveChanges" class="button button-primary" style="position: relative;"><?php esc_attr_e('Save changes', 'geniewords'); ?></button>
                        <span class="spinner" id="spinner"></span>
                        <span id="saveChangesSuccessMessage"
                              style="color: green; display: none; margin-left: -32px;"><?php echo __("Changes has been saved", 'geniewords'); ?></span>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <?php
} else if (empty($get_user_id[0])) { ?>
    <div class="wrap" style="border-top: 1px solid rgba(0,0,0,0.5);padding-top: 40px;">
        <?php echo "<h2>" . __('GenieWords Google Shopping', 'geniewords') . "</h2>"; ?>
        <h3>
            <span style="color: red;">Error:</span> <?php echo __('You need to sign in with your GenieWords account to activate the plugin', 'geniewords'); ?>
        </h3>
    </div>
<?php } else { ?>
    <div class="wrap">
        <div class="wrap nosubsub">
            <div class="icon32" id="icon-edit"><br></div>
            <h2><?php echo __('You dont have to permission to access this page.', 'geniewords'); ?></h2>
        </div>
    </div>
    <?php
}
?>
<script type="text/javascript">
    var base_url = "<?php echo get_bloginfo( 'url' ); ?>";

    jQuery("input[type=radio][name=addAnalytics]").click(function () {
        var display = 'none';
        if(this.value === 'CUSTOM') {
            display = 'block';
        }

        var customAnalyticsValueEl = jQuery("#customAnalyticsValue")
        customAnalyticsValueEl.css("display", display);
        customAnalyticsValueEl.val('');
    });
</script>

